%if 0%{?fedora}
%global debug_package %{nil}
%endif

Name:     acpi_ec
Version:  1.0.4
Release:  8%{?dist}
Summary:  Kernel module for interfacing with the ACPI Embedded Controller.
License:  GPLv3
URL:      https://github.com/musikid/acpi_ec

Source:   %{url}/archive/refs/tags/v%{version}.tar.gz

Provides: %{name}-kmod-common = %{version}
Requires: %{name}-kmod >= %{version}

BuildRequires: systemd-rpm-macros

%description
acpi_ec is a simple kernel module which takes most of its code from "ec_sys.c" and provides a simple interface between the ACPI embedded controller and the userspace.
Its main intent is to be used with [NoteBook Fan Control](https://github.com/hirschmann/nbfc) but you can of course install it for another purpose.
You can access to the EC simply by read/write to `/dev/ec`.

%prep
%setup -q -c %{name}-%{version}

%build
echo "%{name}" > %{name}.conf
install -D -m 0644 %{name}.conf %{buildroot}%{_modulesloaddir}/%{name}.conf

%files
%doc %{name}-%{version}/README.md
%license %{name}-%{version}/LICENSE
%{_modulesloaddir}/%{name}.conf

%changelog